Skip to main content
GET
Authentication Request

Query Parameters

response_type
string
required

OAuth 2.0 response type requested.
Possible values are a combination of code, id_token, token

  • code - Authorization Code Flow
  • id_token - Implicit Flow
  • id_token token - Implicit Flow
  • code id_token - Hybrid Flow
  • code token - Hybrid Flow
  • code id_token token - Hybrid Flow
client_id
string
required

OAuth 2.0 client-ID of the Relying Party.

redirect_uri
string
required

Redirection URI to which the response will be sent. Must match configured values for the Relying Party

scope
string

Scopes requested. If missing all scopes from Relying party are assigned upon successful request.

Example:

"profile,email"

state
string

Opaque value to be returned with the redirect

Example:

"af0ifjsldkj"

nonce
string

(Optional) Opaque value to be included in the ID Token

prompt
string

(Optional) Allowed authentication methods. Space delimited, case sensitive list. The defined values are:

  • none - No authentication or consent user interface pages are displayed. Typical error codes will be login_required, interaction_required.
  • login - Prompt the End-User for reauthentication. Typical error login_required.
  • consent - Prompt the End-User for consent. Typical error consent_required.
  • select_account - Prompt the End-User to select a user account. Typical error account_selection_required.
max_age
string

(Optional) Maximum authentication age

id_token_hint
string

(Optional) Previously-issued ID Token to be used as a reference

login_hint
string

(Optional) Suggested User-ID

Response

Never happens. Successful scenario is 302 redirect.